<template>
  <div class="sidebar-register">
    <div class="sidebar-header">
      <img src="https://www.bpjsketenagakerjaan.go.id/images/logo-bpjamsostek.svg" style="widt" srcset="">
      <hr />
    </div>
    <div class="sidebar-body">
      <h4>Step {{ captionStep.caption }}</h4>
      <div class="card-step">
        <div
          class="d-flex align-items-center"
          :class="{ active: this.$route.path == '/register/step-1' }"
        >
          <div class="step-number">1</div>
          <p class="step-caption">Verifikasi Data</p>
        </div>
        <div class="step-border"></div>
        <div
          class="d-flex align-items-center"
          :class="{ active: this.$route.path == '/register/step-2' }"
        >
          <div class="step-number">2</div>
          <p class="step-caption">Profile Pekerja</p>
        </div>
        <div class="step-border"></div>
        <div
          class="d-flex align-items-center"
          :class="{
            active:
              this.$route.path == '/register/step-3-1' ||
              this.$route.path == '/register/step-3-2' ||
              this.$route.path == '/register/step-3-3',
          }"
        >
          <div class="step-number">3</div>
          <p class="step-caption">Informasi Pekerjaan</p>
        </div>
        <div class="step-border"></div>
        <div
          class="d-flex align-items-center"
          :class="{ active: this.$route.path == '/register/step-4' }"
        >
          <div class="step-number">4</div>
          <p class="step-caption">Pembayaran</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "SidebarRegister",
  computed: {
    captionStep() {
      var caption = "";
      if (this.$route.path == "/register/step-1") {
        caption = "1";
      } else if (this.$route.path == "/register/step-2") {
        caption = "2";
      } else if (
        this.$route.path == "/register/step-3-1" ||
        this.$route.path == "/register/step-3-2" ||
        this.$route.path == "/register/step-3-3"
      ) {
        caption = "3";
      } else {
        caption = "4";
      }

      return {
        caption,
      };
    },
  },
};
</script>

<style>
</style>